const ollama_get_models = async () => {
  const res = await fetch('http://localhost:11434/api/tags')

  if (res.status !== 200) {
    console.error("Failed to make request to Ollama")
    return
  }

  const js = await res.json()
  return js
}

const ollama_chat_complete = async (model, messages) => {
  const body = {
    model: "gemmachad:latest",
    messages: { role: "user", content: "why is the sky blue?" },
    stream: false
  }

  console.log(body)

  const res = await fetch('http://localhost:11434/api/chat', {
    method: "POST",
    headers: {
      "Content-Type": "application/json",
    },
    body: JSON.stringify(body)
  })

  if (res.status !== 200) {
    console.error("Failed to make request to Ollama")
    return
  }

  const js = await res.json()
  return js
}

const form = document.getElementById('chat-form')

form.addEventListener('submit', FormSubmit);

function FormSubmit(event) {
  // do we have to prevent default form submission behaviour? im not sure
  const query = document.getElementById('username').value;

  FutureFunction(query);
}

function FutureFunction(query) {
  // we put everything that happens with the query here
}


